Package Details: gitfs 0.5.2-1

Git Clone URL: https://aur.archlinux.org/gitfs.git (read-only, click to copy)
Package Base: gitfs
Description: Version controlled file system
Upstream URL: http://www.presslabs.com/gitfs/
Licenses: Apache
Submitter: Dragonlord
Maintainer: Dragonlord
Last Packager: Dragonlord
Votes: 10
Popularity: 0.031941
First Submitted: 2014-12-14 15:56
Last Updated: 2019-12-07 15:41

Latest Comments

« First ‹ Previous 1 2

Dragonlord commented on 2015-09-03 20:00

Dependencies should be sorted and went back to python2 for this package. I did not really test the functionality, so would be great to have some feedback if this really works now.

rumpelsepp commented on 2015-02-19 17:01

Also it seems to break on python3. :)
Sorry for posting three comments instead of one...

rumpelsepp commented on 2015-02-19 17:00

These deps are missing:

fusepy==2.0.2
pygit2==0.22.0
atomiclong

https://github.com/PressLabs/gitfs/blob/master/requirements.txt

rumpelsepp commented on 2015-02-19 16:55

You could add --optimize=1 to the setup.py call. See here: https://wiki.archlinux.org/index.php/Python_package_guidelines#Notes

Dragonlord commented on 2014-12-16 19:32

Thanks! As the dependency tree seems to be pretty wide and I'm not able to check it out atm, should you find the missing parts, I'll add them. Otherwise, it'll have to wait till I get to a system with a working yaourt install, so that I can fix it.

Anonymous comment on 2014-12-16 18:15

Looks like some dependency missing!

Traceback (most recent call last):
File "/usr/bin/gitfs", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.4/site-packages/pkg_resources.py", line 2926, in <module>
working_set = WorkingSet._build_master()
File "/usr/lib/python3.4/site-packages/pkg_resources.py", line 551, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.4/site-packages/pkg_resources.py", line 860, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.4/site-packages/pkg_resources.py", line 745, in resolve
raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: atomiclong
➜ nim git:(testbr)